const fs = require('fs')
let moment = require('moment-timezone')
let _ = require('lodash')
let res
init()


async function init() {


    res = await fs.readFileSync('run.csv', 'utf8');
    res = res.split('\n')
    let arr = []
    //  console.log(found('ETH', 'Lp2'))

    let com = await fs.readFileSync('com.json', 'utf8');
    com = JSON.parse(com)
    for (let i = 0; i < com.length; i++) {
        let t = com[i].platform
        t = t.split('_')
        let pair = t[3].replace('USDT', '').replace('USD', '')
        let lp = t[4]
        arr.push(found(pair, lp))
    }
    arr=_.uniqBy(arr, 'name');

    let header='RowNum,PPST1_stMnBarAge,PPST1_PvtPtPeriod,PPST1_AtrFactor,PPST1_AtrPeriod\n'
    for (let i=0;i<arr.length;i++)
    {
        let inline=(i+1)+','+arr[i].timeframe+','+arr[i].pvt+','+arr[i].factor+','+arr[i].period
        header=header+inline
        if (i !== arr.length-1)
            header= header+'\n'

    }

    console.log(header)


}

function found(pair, lp) {
    for (let i = 0; i < res.length; i++) {
        if (!res[i].includes(lp + '_'))
            continue


        let d = res[i].split(',')
        let timeframe = d[13]
        let pvt = parseFloat(d[14])
        let factor = parseFloat(d[15])
        let period = d[103]
        period = period.split(pair)
        period = parseFloat(period[period.length - 1])
        let name = d[103]

        return {name, timeframe, pvt, factor, period}

    }
}


